package com.patzn.lims.res.service;

import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.File;

public interface MongoDbService {


    void downloadFile(String fileId, HttpServletRequest request, HttpServletResponse response);


    void preview(String fileId, HttpServletRequest request, HttpServletResponse response);


    String saveFile(String filePath);


    String saveFile(File file);


    String saveFile(MultipartFile file);


}
